Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229691 - Add enable switches for optional/experimental features
Summary: Add enable switches for optional/experimental features
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-02-22 19:54 UTC by Rich Megginson
Modified: 2015-12-07 17:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:11:57 UTC


Attachments (Terms of Use)
diffs (deleted)
2007-02-22 19:54 UTC, Rich Megginson
no flags Details | Diff
new diffs (deleted)
2007-02-22 19:58 UTC, Rich Megginson
no flags Details | Diff
better diffs (deleted)
2007-02-22 20:57 UTC, Rich Megginson
no flags Details | Diff
diffs (deleted)
2007-02-22 21:05 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (deleted)
2007-02-23 00:00 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2007-02-22 19:54:32 UTC
For Fedora DS, we want to have the latest and greatest features, but we need to
be able to turn off certain features for the RHDS release.

Comment 1 Rich Megginson 2007-02-22 19:54:32 UTC
Created attachment 148613 [details]
diffs

Comment 2 Rich Megginson 2007-02-22 19:58:55 UTC
Created attachment 148614 [details]
new diffs

Comment 3 Rich Megginson 2007-02-22 20:57:23 UTC
Created attachment 148627 [details]
better diffs

Comment 4 Rich Megginson 2007-02-22 21:05:28 UTC
Created attachment 148631 [details]
diffs

Comment 5 Noriko Hosoi 2007-02-22 22:25:26 UTC
Looks good to me.

Comment 6 Nathan Kinder 2007-02-22 23:05:41 UTC
Looks good.

Comment 7 Rich Megginson 2007-02-23 00:00:53 UTC
Created attachment 148636 [details]
cvs commit log

Reviewed by: nhosoi, nkinder, prowley (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: Added --enable-pam-passthru, --enable-dna, and --enable-ldapi.
 They are all on by default and must be explicitly disabled
(--disable-pam-passthru).  These all cause ENABLE_xxx to be defined for C code
so that we can enclose the code in #ifdef ENABLE_PAM_PASSTHRU blocks, for
example.  For the first two, these also cause the plugins to be built - so that
if you specify --disable-pam-passthru, the plugin code will not be built at
all.  I discovered a nifty autoconf macro called AS_HELP_STRING - this nicely
formats the help messages output by configure --help.  I don't know if it's
worth going through all of our m4 code to use this, but I went ahead and fixed
configure.ac.  Create instance will now add plugin configuration entries (but
disabled) for pam passthru and dna if the corresponding ENABLE_ macros are
defined.  I also fixed a bug with passthru (not pam passthru) - the plugin
configuration entry was not being added.
Platforms tested: RHEL4, FC6
Flag Day: no
Doc impact: no

Comment 8 Nathan Kinder 2007-12-14 23:38:50 UTC
Verified that configure supports all of these options (as well as --enable-bitwise).


Note You need to log in before you can comment on or make changes to this bug.